﻿/* CharMY.CodeToHtml CollapceJavaScript
 * 
 * COPYLEFT (C) CharMY 2012-2013 Yanagihara Masami
 * 
 * 
 * This program is free software: you can redistribute it and/or modify   *
 * it under the terms of the GNU General Public License as published by   *
 * the Free Software Foundation, either version 3 of the License, or      *
 * (at your option) any later version.                                    *
 *                                                                        *
 * This program is distributed in the hope that it will be useful,        *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of         *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the          *
 * GNU General Public License for more details.                           *
 *                                                                        *
 * You should have received a copy of the GNU General Public License      *
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.  *
 * 
 * 
 */

namespace CharMY.CodeToHtml
{
    public static class CollapceJavaScript
    {
        public static string CodeVer1
        {
            get
            {
                return @"

// Copyright (c) 2012 Masami Yanagihara
eval(function(C,h,a,r,M,Y){M=function(a){return(a<h?'':M(parseInt(a/h)))+((a=a%h)>35?String.fromCharCode(a+29):a.toString(36))};if(!''.replace(/^/,String)){while(a--)Y[M(a)]=r[a]||M(a);r=[function(M){return Y[M]}];M=function(){return'\\w+'};a=1};while(a--)if(r[a])C=C.replace(new RegExp('\\b'+M(a)+'\\b','g'),r[a]);return C}('(3(){5 e=(3(){5 d=2.m(""o"");h(5 i=0;i<d.6;++i){(3(a,b,c){c=u;b.g=(3(){h(5 j=0;j<a.6;++j){8(c){a[j].9.n=""q"";b.1=b.1.k(""-"",""+"")}f{a[j].9.n=""L"";b.1=b.1.k(""+"",""-"")}}c=!c});b.g();b.9.r=""s""})(2.m(d[i].1.t(7,d[i].1.6-4)),d[i])}});8(2.l){2.l(""v"",e,w)}f 8(/x/.y(z)){A{2.B.C(""D"")}E(F){G(H.I,0);J}e()}f{K.p=e}})();',48,48,'|innerHTML|document|function||var|length||if|style||||||else|onclick|for|||replace|addEventListener|getElementsByClassName|display|"
                    + SettingToCssConverter.__linesqr_name
                    + @"|onload|none|cursor|pointer|slice|true|DOMContentLoaded|false|msie|test|userAgent|try|documentElement|doScroll|left|catch|error|setTimeout|arguments|callee|return|window|inline'.split('|'),0,{}))

";
            }
        }
        public static string CodeVer3
        {
            get
            {
                return @"

// Copyright (c) 2013 Masami Yanagihara
eval(function(C,h,a,r,M,Y){M=function(a){return(a<h?'':M(parseInt(a/h)))+((a=a%h)>35?String.fromCharCode(a+29):a.toString(36))};if(!''.replace(/^/,String)){while(a--)Y[M(a)]=r[a]||M(a);r=[function(M){return Y[M]}];M=function(){return'\\w+'};a=1};while(a--)if(r[a])C=C.replace(new RegExp('\\b'+M(a)+'\\b','g'),r[a]);return C}('(s(){1 p=(s(){1 f=3.r(""D"");1 g=3.B.2;6(1 i=0;i<f.5;++i){1 h=f[i].2.x(7,f[i].2.5-4);1 k=""z""+h;1 l=3.r(h);6(1 j=0;j<l.5;++j){1 m=""<y w=\\""""+k+""\\""><u w=\\""K\\""> ... </u></y>"";g=g.v(l[j].H,m+l[j].H);1 n=""<u w=\\""D\\"">- <!-- ""+h+"" --></u>"";g=g.v(n+m,n)}}3.B.2=g;6(1 i=0;i<f.5;++i){1 h=f[i].2.x(7,f[i].2.5-4);1 k=""z""+h;1 l=3.r(h);1 o=3.r(k);(s(a,b,c,d){d=J;1 e=(s(){6(1 j=0;j<a.5;++j){q(d){a[j].8.t=""C""}9{a[j].8.t=""E""}}6(1 j=0;j<b.5;++j){q(d){b[j].8.t=""E""}9{b[j].8.t=""C""}}q(d){c.2=c.2.v(""-"",""+"")}9{c.2=c.2.v(""+"",""-"")}d=!d});6(1 j=0;j<b.5;++j){b[j].F=e;b[j].8.G=""A""}c.F=e;c.8.G=""A"";e()})(l,o,f[i])}});q(3.I){3.I(""L"",p,M)}9 q(/N/.O(P)){Q{3.R.S(""T"")}U(V){W(X.Y,0);Z}p()}9{10.11=p}})();',62,64,'|var|innerHTML|document||length|for||style|else|||||||||||||||||if|getElementsByClassName|function|display|code|replace|class|slice|span|description_|pointer|body|none|"
                    + SettingToCssConverter.__linesqr_name
                    + @"|inline|onclick|cursor|outerHTML|addEventListener|true|"
                    + SettingToCssConverter.__collapsed_name
                    + @"|DOMContentLoaded|false|msie|test|userAgent|try|documentElement|doScroll|left|catch|error|setTimeout|arguments|callee|return|window|onload'.split('|'),0,{}))

";
            }
        }
        public static string Code
        {
            get
            {
                return @"

// Copyright (c) 2013 Masami Yanagihara
eval(function(C,h,a,r,M,Y){M=function(a){return(a<h?'':M(parseInt(a/h)))+((a=a%h)>35?String.fromCharCode(a+29):a.toString(36))};if(!''.replace(/^/,String)){while(a--)Y[M(a)]=r[a]||M(a);r=[function(M){return Y[M]}];M=function(){return'\\w+'};a=1};while(a--)if(r[a])C=C.replace(new RegExp('\\b'+M(a)+'\\b','g'),r[a]);return C}('(v(){2 r=(v(){2 f=5.9(""A"");2 g=5.H.3;8(2 i=0;i<f.6;++i){2 h=f[i].3.G(7,f[i].3.6-4);2 k=""E""+h;2 l=5.9(h);8(2 j=0;j<l.6;++j){2 m=""<C z=\\""""+k+""\\""><w z=\\""O\\""> ... </w></C>"";g=g.x(l[j].D,m+l[j].D);2 n=(v(a){2 b=""<w z=\\""""+a+""\\"">- <!-- ""+h+"" --></w>"";g=g.x(b+m,b)});n(""A"");n(""F"")}}5.H.3=g;f=5.9(""A"");2 o=5.9(""F"");8(2 i=0;i<f.6;++i){2 h=f[i].3.G(7,f[i].3.6-4);2 k=""E""+h;2 l=5.9(h);2 p=5.9(k);2 q=19 P();q[0]=f[i];8(2 j=0;j<o.6;++j)s(o[j].3.S(h)>=0){q[1]=o[j];N}(v(a,b,c,d){d=Q;2 e=(v(){8(2 j=0;j<a.6;++j)s(d){a[j].t.y=""I""}u{a[j].t.y=""J""}8(2 j=0;j<b.6;++j)s(d){b[j].t.y=""J""}u{b[j].t.y=""I""}8(2 j=0;j<c.6;++j)s(d){c[j].3=c[j].3.x(""-"",""+"")}u{c[j].3=c[j].3.x(""+"",""-"")}d=!d});8(2 j=0;j<b.6;++j){b[j].K=e;b[j].t.L=""M""}8(2 j=0;j<c.6;++j){c[j].K=e;c[j].t.L=""M""}e()})(l,p,q)}});s(5.B){5.B(""T"",r,U)}u s(/V/.W(X)){Y{5.Z.10(""11"")}12(13){14(15.16,0);17}r()}u{18.R=r}})();',62,72,'||var|innerHTML||document|length||for|getElementsByClassName|||||||||||||||||||if|style|else|function|code|replace|display|class|"
                    + SettingToCssConverter.__linesqr_name
                    + @"|addEventListener|span|outerHTML|description_|"
                    + SettingToCssConverter.__linesqr_end_name
                    + @"|slice|body|none|inline|onclick|cursor|pointer|break|"
                    + SettingToCssConverter.__collapsed_name
                    + @"|Array|true|onload|indexOf|DOMContentLoaded|false|msie|test|userAgent|try|documentElement|doScroll|left|catch|error|setTimeout|arguments|callee|return|window|new'.split('|'),0,{}))

";
            }
        }
    }
}
